/* Always set the map height explicitly to define the size of the div
 * element that contains the map. */
#map {
  /* height: 500px;
  width: 100%; */
    min-height: 400px;
  /* width: 100%;
    height: 100%; */
    aspect-ratio: 1.6;
    padding-left: calc(var(--bs-gutter-x) * .5);
    padding-right: calc(var(--bs-gutter-x) * .5);
}

#map #bodyContent img {
  padding-bottom: 0.5rem!important;
  height:8vh;
  max-height: 50px;

}

#map p, #map a {
  padding-top: 0.5rem!important;
  padding: 0rem!important;
  margin: 0!important;
}

html {
    /* --scroll-behavior: smooth!important;
  scroll-behavior: smooth!important; */
  scroll-padding-top: calc(60px + 1rem);
}

.pointer {cursor: pointer;}


.landing-logo-bg {

background-image: url('./images/landing_bg_2000.png');
background-color: #f3eee8;
position: absolute;
width: 100vw;
height:100vh;
z-index:1040;
}

.landing-logo-img {

position: absolute;
width: 75vw;
top: 0;
bottom: 0;
left:0;
right:0;
margin:auto;
display: block;
z-index:1040;"
}

.landing-arrow {
  position: absolute;
  top: 90%;
  left: 50%;
  font-size: 1.5rem;

}


/* @media (max-width: 767.98px){


*{
--bs-body-font-size: 0.9rem;
}
} */

@media (max-width: 767.98px){

.offcanvas {
  --bs-offcanvas-width: 250px!important;
}
}


/* body {
  padding-top: calc(60px + 1rem);
}


@media (max-width: 767.98px) {
body {
  padding-top: calc(45px + 1rem);
}
} */

.extra-top-margin {
  margin-top: calc(60px + 2rem);
}


@media (max-width: 767.98px) {
.extra-top-margin {
  margin-top: calc(45px + 2rem);
}
}


.navbar {
  background-color: white;
  border-bottom: solid black 1px;
}


footer {
    /* background-color: rgb(187,187, 187); */
    border-top: solid black 1px;
}

a {
  color: rgb(167, 167, 167)!important;
}

a:hover {
  color: rgb(120,120, 120)!important;
}

.szary {
  --bs-bg-opacity: 1;
  background-color: rgba(243, 239, 233)
}




.logo {
  height: 60px;
  margin-left: 10px;

}

@media (max-width: 767.98px) {

.logo {
  height: 45px;

}
}

.landing-bg {

  background-image: url("./images/TLO.png");

  /* Full height */
  height: 100vh;

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

    /* -webkit-transform: translatez(0);
    -moz-transform: translatez(0);
    -ms-transform: translatez(0);
    -o-transform: translatez(0);
    transform: translatez(0); */
    /* transition: all 10.1s ease; */

}


 #projekty, #jak_pracujemy, #oferta, #kontakt {
  max-width: 2000px;
}

@media (min-width: 1400px) {

.img-fit {
    max-width: 100%;
    height: 80vh;
    object-fit: cover;
    object-position: left;
}
}

@media (min-width: 1200px) {

.img-fit {
    max-width: 100%;
    height: 70vh;
    object-fit: cover;
    object-position: left;
}
}



.img-fit {
    max-width: 100%;
    height: auto;
    object-fit: cover;
    object-position: left;
}



.text-justify {
    text-align: justify;
    text-justify: inter-word;
}

.card h5 {
  /* font-size: 1.1rem; */
}

.mySlides h5 {
    font-size: 1.1rem!important;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    border-bottom: solid black 1px;
}

@media (min-width: 576px) {
.mySlides h5 {
    font-size: 1.1rem!important;
    padding-bottom: 1rem;
    margin-bottom: 2rem;
    border-bottom: solid black 1px;
}

}


@media (min-width: 1200px) {

h3.display-6 {
  font-size: 2.1rem;
}
}

@media (max-width: 1199px) {
h3.display-6 {
  font-size: calc(1rem + 1.4vw);
}
}

.mySlides h3, .mySlides h4 {
  text-transform: uppercase;
}


.mySlides .list-group-item {
  font-size: var(--bs-body-font-size);
  margin-top: 0;
  /* margin-bottom: 0.5rem; */
  font-weight: 400;
  line-height: var(--bs-body-line-height);
  border: 0!important;
  padding-left: 0!important;
  padding-top: 0!important;
  padding-bottom: 0!important;
}


h2 {
  /* font-size: 2.3rem!important; */
  text-transform: uppercase;
}

.card {

    border: 0!important;

}

#jak_pracujemy .card-title {

  text-align: center;
}

#jak_pracujemy h5 {
  /* font-size: 1rem!important; */
}

.card {
      word-wrap: normal!important;
}

#oferta .list-group-item {
  border: 0!important;
  line-height: 1.45rem;

}

#oferta li::before {
  content: "· ";
  color: black;
    font-size: 1.6rem;
    font-weight: bolder;
    line-height: 1.15rem;

}


#oferta .col {
  padding: 0!important;
}


#oferta .list-group-item {
  padding: 0!important;
  padding-right: 0.5rem!important;
  padding-left: 0.5rem!important;

}


#oferta .card-title {
  line-height: 1.6rem;
  border-bottom: solid black 1px;
  padding-left: 0.1rem;
  padding-right: 0.1rem;
}

#oferta h5, #jak_pracujemy h5 {
  font-size: 1.05rem;
}
/*
#projektowanie .card-title {
  height: 1.8rem;
} */

@media (max-width: 454px){

#projektowanie .card-title {
  height: 3.6rem;
}
}


@media (min-width: 455px){

#projektowanie .card-title {
  height: 1.8rem;
}
}

@media (min-width: 777px){

#projektowanie .card-title {
  height: 3.6rem;
}
}

@media (min-width: 903px){

#projektowanie .card-title {
  height: 3.6rem;
}
}

@media (min-width: 1198px){

#projektowanie .card-title {
  height: 3.6rem;
}
}

@media (min-width: 1400px){

#projektowanie .card-title {
  height: 5.4rem;
}
}

@media (min-width: 1473px){

#projektowanie .card-title {
  height: 3.6rem;
}
}




/* font */

@font-face {
  font-family: 'Montserrat', sans-serif;
}

body, h1, h2, h3, h4, h5, h6, p, .list-group, .nav-link{
  font-family: 'Montserrat';
}

.nav-link {
  font-size: 1.5rem;
}

.navbar {
  /* width: 100vw; */
}

.navbar .navbar-toggler {

  color: rgba(255, 255, 255, 0) !important;
  border-color: rgba(255, 255, 255, 0) !important;

  border: none;
  outline: none;

   &:focus,
   &:active,
   &-icon:focus {
     outline: none;
     box-shadow: none;
   }
}

.navbar-toggler .navbar-toggler-icon {

background-image: url("./images/navbar_toggler_icon.svg");
}


.kropka {

    font-size: 1.2rem;
    font-weight: bolder;
}

#kontakt .list-group-item{
  border: 0!important;
  padding-top: 0!important;
  padding-bottom: 0!important;
  padding-left: 0.2rem!important;
}





#oferta .card-body, #jak_pracujemy .card-body {
  padding-left: 0!important;
  padding-right: 0!important;

}

#jak_pracujemy .card-body {
  padding-top: 0.5!important;
}


#jak_pracujemy h2 {
  color: rgb(219,208,197)!important;
  font-weight: bolder;
}

#jak_pracujemy .jak_pracujemy_img {

      object-fit: scale-down;
    /* height: calc(1.8rem + 1.5vw); */
    max-height: 180px;
    padding: 0.5rem;
}



#unijne img {
  max-height: 80px
}











#portfolio_container img {
  opacity: 0.7;
  -webkit-filter: grayscale(100%);
  -moz-filter: grayscale(100%);
  filter: grayscale(100%);
  transition: all .8s ease;
}


#portfolio_container img:hover {
  -webkit-filter: grayscale(0%);
    -moz-filter: grayscale(0%);
    filter: grayscale(0%);
    opacity: 1;
}




/* modal */


/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}



.main-background {
  background-color: #FFFF;
	/* background-image: url("./images/TLO.png"); */
	}

.btn.main-link {
	font-size: 1.8em;
    color: black;
	border-radius: 0;
	}

a.btn.main-link:hover {
    border: 1px solid black;
}

#overlay {
  position: fixed;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5);
  z-index: 1040;
  cursor: pointer;
}

.img_cell span {
position: absolute;
    top: 50%;
    left: 0;
    z-index: -1;
    display: block;
    width: 100%;
    margin: 0;
    padding: 0;
    color: #444;
    font-size: 18px;
    text-decoration: none;
    text-align: center;
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
    opacity: 0;
    text-align: center;
}

img:hover+span {
  top: 50%;
	/* bottom: 36px; */
	opacity: 1;
}

.gallery .img_cell {
  display: block;
  height: 100%;
   width: 100%;
}
.gallery img {
  display: block;
  height: 100%;
  width: 100%;
  object-fit: cover;
  padding-top: 1.2em;

  -webkit-transform: scale(1);
	transform: scale(1);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}

.gallery img:hover {
	-webkit-transform: scale(1.05);
	transform: scale(1.05);
  opacity: .2;
}
